dpkg-genchanges(1)

BEZEICHNUNG
dpkg-genchanges - erstelle Debian-.changes-Dateien

ÜBERSICHT
dpkg-genchanges [Option …]

BESCHREIBUNG
dpkg-genchanges liest Informationen aus einem entpackten und gebauten Debian-Quellcodebaum und aus den darin erzeugten Dateien und erzeugt eine Debian-Steuerdatei für das Hochladen (die .changes-Datei).

OPTIONEN

--build=Typ
    Spezifiziert den Bau-Typ aus einer Kommata-getrennten Liste von Komponenten (seit Dpkg 1.18.5). Die erlaubten Werte sind:

    source
        Hochladen des Quellpakets.

    any Hochladen des architekturspezifischen Binärpakets.

    all Hochladen des architekturunabhängigen Binärpakets.

    binary
        Hochladen der architekturspezifischen und -unabhängigen Binärpakete. Dies ist ein Alias für any,all.

    full
        Alles hochladen. Dies ist ein Alias für source,any,all und identisch zum Standardfall, wenn keine Bauoption festgelegt ist.

-g  Äquivalent zu --build=source,all (seit Dpkg 1.17.11).

-G  Äquivalent zu --build=source,any (seit Dpkg 1.17.11).

-b  Äquivalent zu --build=binary oder --build=any,all.

-B  Äquivalent zu --build=any.

-A  Äquivalent zu --build=all.

-S  Äquivalent zu --build=source.

Die -sx Optionen steuern, ob das Original-Quellarchiv dem Upload hinzugefügt wird, falls die Quellen erzeugt werden (d.h. -b oder -B nicht verwendet wurden).

-si Standardmäßig, oder falls angegeben, werden die Originalquellen nur hinzugefügt, falls sich die Versionsnummer der Originalautoren (die Version ohne Epoche und ohne die Debian-Revision) von der Versionsnummer der Originalautoren in dem letzten Changlog-Eintrag unterscheidet.

-sa Erzwingt die Hinzunahme der Originalquellen.

-sd Erzwingt den Ausschluss der Originalquellen und fügt nur den Diff hinzu.

-vVersion
    Dies führt dazu, dass »changelog«-Informationen von allen Versionen, die strikt neuer als Version sind, verwendet werden.

-CÄnderungsbeschreibung
    Lese die Beschreibung der Änderungen aus der Datei Änderungsbeschreibung anstatt die Informationen aus dem changelog-Datei des Quellbaums zu verwenden.

-mBetreueradresse
    Verwende Betreueradresse als Namen und E-Mail-Adresse des Betreuers dieses Paketes, anstatt die Informationen aus der »control«-Datei des Quellbaums zu verwenden.

-eBetreueradresse
    Verwende Betreueradresse als Namen und E-Mail-Adresse des Betreuers für diesen Upload, anstatt die Informationen aus dem »changelog« des Quellbaums zu verwenden.

-VName=Wert
    Setzt eine Ausgabesubstitutionsvariable. Lesen Sie deb-substvars(5) für eine Besprechung des Ausgabesubstitution.

-TSubstvars-Datei
    Read substitution variables in substvars-file; the default is debian/substvars. No variable substitution is done on any of the fields that are output, except for the contents extracted from each binary package Description field (since dpkg 1.19.0), however the special variable Format will override the field of the same name. This option can be used multiple times to read substitution variables from multiple files (since dpkg 1.15.6).

-DFeld=Wert
    Überschreibe oder ergänze ein Ausgabesteuerdateifeld.

-Ufield
    Entferne ein Ausgabesteuerdateifeld.

-cSteuerdatei
    Gibt die Haupt-control-Datei an, aus der Informationen gelesen werden sollen. Standardmäßig debian/control.

-lChangelog-Datei
    Gibt die Änderungsprotokolldatei an, aus der Informationen gelesen werden sollen. Standardmäßig debian/changelog.

-fDateienlist-Datei
    Lese die Liste der hochzuladenen Dateien von hier, statt debian/files zu verwenden.

-FChangelog-Format
    Spezifiziert das Format des Changelogs. Lesen Sie dpkg-parsechangelog(1) für Informationen über alternative Formate.

-uHochladedateiverzeichnis
    Suche nach Dateien, die hochgeladen werden sollen, in Hochladedateiverzeichnis statt in .. (dpkg-genchanges muss diese Dateien finden, so dass es ihre Größen und Prüfsummen in die .changes-Datei aufnehmen kann.

-q  Normalerweise schreibt dpkg-genchanges informative Meldungen auf die Standard-Fehlerausgabe, beispielsweise wie viele Quelldateien des Pakets hochgeladen werden. -q unterdrückt diese Meldungen.

-O[Dateiname]
    Gibt die changes-Datei auf der Standardausgabe (Vorgabe) oder in Dateiname, falls angegeben, aus (seit Dpkg 1.18.5).

-?, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

DATEIEN

debian/files
    Die Liste der erstellten Dateien, die Teil der zum Hochladen vorbereiteten Dateien sind. dpkg-genchanges liest hier die Daten, wenn es die Datei .changes erstellt.

SIEHE AUCH
deb-substvars(5), deb-src-control(5), deb-src-files(5), deb-changelog(5), deb-changes(5).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2017 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.